Subject: bug#60585: 30.0.50; global-text-scale-adjust shrinks window (was not before)

From: Gregory Heytings <[email-masked]>
Date: Sun, 08 Jan 2023 21:41:20 +0000

>
> I have tried with make clean and all, but did not make it:
>

I don't know what you tried and why it failed.  I just did the following 
and it worked:

git clone git://git.sv.gnu.org/emacs.git
cd emacs
git checkout e0488f89d1
make configure=--with-x-toolkit=lucid
./src/emacs -Q

If you already have a copy of the Emacs repository and want to avoid the 
"git clone" step, you can do the following instead ("/path/to/emacs" is 
the full path to your copy of the Emacs repository):

cp -a /path/to/emacs /tmp/emacs
cd /tmp/emacs
git reset --hard origin/master
git clean -xfd
git checkout e0488f89d1
make configure=--with-x-toolkit=lucid
./src/emacs -Q